[Workbench] Fill in defaults when creating container request from workflow
Description

Subtasks:

Task # 10676: Review 10674-wb-workflow-defaults Resolved

Associated revisions

Revision e336e28f - 12/09/2016 03:59 PM - Peter Amstutz
Merge branch '10674-wb-workflow-defaults' closes #10674

History

#1 - 12/07/2016 03:30 PM - Peter Amstutz

- Assigned To set to Peter Amstutz

#2 - 12/07/2016 04:32 PM - Radhika Chippada

Review comments:
1. | created a workflow using the following command:

130!radhika@shell.9%teed:~/arvados/doc/user/cwl/bwa-mem$ arvados—cwl-runner --create-workflow bwa-mem.cwl bwa-m

em-input.yml

/usr/bin/arvados—-cwl-runner 0fb93082a34a92699c9be%ed4b1c991dd4003eal 1.0.20161206185818, arvados—-python-client
0.1.20161128194626, cwltool 1.0.20161128202906

Resolved 'bwa-mem.cwl' to 'file:///home/radhika/arvados/doc/user/cwl/bwa-mem/bwa-mem.cwl'
9teed-7fd4e-1436kksnpdupnb8

| then went to 9tee4 workbench and used "Run a process" and selected this workflow. The resulting CR, 9tee4-xvhdp-tkm20ytkjp9g189, has the
inputs filled in as expected.

However, the CR run failed with "Unsupported scheme in url:
keep:ae480c5099b81e17267b7445e35b4bc7+180/HWI-ST1027_129_DOTHKACXX.1_1.fastq"

2. It appears that we need a test for this:
e Create a workflow with a cwl and partial input or a fixture in this state

¢ Run a process using this workflow
¢ Verify that the provided partial inputs are filled and the others are empty

#3 - 12/08/2016 07:43 PM - Peter Amstutz

For comment (1) this requires the fix in #10576.

For (2), | will see about adding a test.

#4 - 12/09/2016 03:17 PM - Peter Amstutz

| extended the test that creates a new pipeline/workflow to check that the parameter with a default value is filled in.

Now at @ 08271aa69aafdc92e2e8f8f25ed7fab078deb993

#5 - 12/09/2016 03:33 PM - Radhika Chippada

It would be nice to also add one more assertion to the test(s) that the Run button is disabled, since at least one required parameter is empty.

LGTM
https://arvadosapi.com/9tee4-xvhdp-fkm20ytkjp9g189
https://dev.arvados.org/issues/10576
https://dev.arvados.org/projects/arvados/repository/revisions/08271aa69aafdc92e2e8f8f25ed7fab078deb993

Thanks.

#6 - 12/09/2016 04:05 PM - Peter Amstutz
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

Applied in changeset arvados|commit:e336e28f4ce9c13aad98d059d2befb505bff365b.

#7 - 12/09/2016 04:23 PM - Peter Amstutz

- Status changed from Resolved to In Progress

Radhika Chippada wrote:

It would be nice to also add one more assertion to the test(s) that the Run button is disabled, since at least one required parameter is empty.
LGTM
Thanks.

Done & merged.

#8 - 12/12/2016 02:51 PM - Peter Amstutz

- Status changed from In Progress to Resolved
